#!/usr/bin/perl
use warnings;
use strict;
use TestUtil;
use Test::More 'no_plan';

use File::Find;

find({ wanted => \&process_example, no_chdir => 1}, './t/examples');

sub process_example {
    return unless -f;
    open my $fh, '<', $_ or return;
    my $data = do { local $/; <$fh> };
    assert_cleaned_html_spawn($_, $data);
}
